Debian Bug report logs - #548618
RFP: libdeclare-constraints-simple-perl -- Perl module to validate data structures

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan Yu <jawnsy@cpan.org>

Date: Sun, 27 Sep 2009 17:36:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#548618; Package wnpp. (Sun, 27 Sep 2009 17:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>. (Sun, 27 Sep 2009 17:36:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libdeclare-constraints-simple-perl -- Perl module to validate data structures
Date: Sun, 27 Sep 2009 13:28:30 -0400
Package: wnpp
Owner: Jonathan Yu <jawnsy@cpan.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libdeclare-constraints-simple-perl
  Version         : 0.03
  Upstream Author : Robert Sedlacek <phaylon@dunkelheit.at>
* URL             : http://search.cpan.org/dist/Declare-Constraints-Simple/
* License         : Artistic | GPL-1+
  Programming Lang: Perl
  Description     : Perl module to validate data structures

 Declare::Constraints::Simple is a Perl module that provides an easy way to
 construct a profile that can be used to validate a data structure. The module
 accomplishes this by providing a basic set of declarative keywords that can
 be combined to validate constraints from the basic to complex.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jonathan Yu <jawnsy@cpan.org>:
Bug#548618; Package wnpp. (Sun, 27 Sep 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #8 received at 548618@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 548618@bugs.debian.org, 548618-submitter@bugs.debian.org
Subject: Bug in libdeclare-constraints-simple-perl fixed in revision 44948
Date: Sun, 27 Sep 2009 17:42:25 +0000
tag 548618 + pending
thanks

Some bugs are closed in revision 44948
by Jonathan Yu (jawnsy-guest)

Commit message:

WAITS for copyright clarification from upstream.
https://rt.cpan.org/Ticket/Display.html?id=50049
* Initial Release (Closes: #548618)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 27 Sep 2009 17:54:05 GMT) Full text and rfc822 format available.

Message sent on to Jonathan Yu <jawnsy@cpan.org>:
Bug#548618. (Sun, 27 Sep 2009 17:54:07 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Jonathan Yu <jawnsy@cpan.org> to control@bugs.debian.org. (Sun, 27 Sep 2009 18:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jonathan Yu <jawnsy@cpan.org>:
Bug#548618; Package wnpp. (Tue, 29 Sep 2009 08:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to david wright <david_v_wright@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jonathan Yu <jawnsy@cpan.org>. (Tue, 29 Sep 2009 08:18:08 GMT) Full text and rfc822 format available.

Message #20 received at 548618@bugs.debian.org (full text, mbox):

From: david wright <david_v_wright@yahoo.com>
To: 548618@bugs.debian.org
Subject: Re: ITP: libdeclare-constraints-simple-perl -- Perl module to validate data structures
Date: Tue, 29 Sep 2009 00:43:33 -0700 (PDT)
I am confused by the RT bug filed against this ITP.

>WAITS for copyright clarification from upstream.
>https://rt.cpan.org/Ticket/Display.html?id=50049
>* Initial Release (Closes: #548618)

At the bottom of the module it states:
http://search.cpan.org/~phaylon/Declare-Constraints-Simple-0.03/lib/Declare/Constraints/Simple.pm


LICENSE AND COPYRIGHT ^

This module is free software, you can redistribute it and/or modify it under
the same terms as perl itself.


This is a standard perl license and represented in Debian as, 
* License         : Artistic | GPL-1+


Am I missing something, why is this not sufficient?

Thanks,
David





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#548618; Package wnpp. (Tue, 29 Sep 2009 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 29 Sep 2009 13:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 548618@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: david wright <david_v_wright@yahoo.com>, 548618@bugs.debian.org
Subject: Re: Bug#548618: ITP: libdeclare-constraints-simple-perl -- Perl module to validate data structures
Date: Tue, 29 Sep 2009 09:24:52 -0400
On Tue, Sep 29, 2009 at 3:43 AM, david wright <david_v_wright@yahoo.com> wrote:
> I am confused by the RT bug filed against this ITP.
>
>>WAITS for copyright clarification from upstream.
>>https://rt.cpan.org/Ticket/Display.html?id=50049
>>* Initial Release (Closes: #548618)
>
> At the bottom of the module it states:
> http://search.cpan.org/~phaylon/Declare-Constraints-Simple-0.03/lib/Declare/Constraints/Simple.pm
>
>
> LICENSE AND COPYRIGHT ^
>
> This module is free software, you can redistribute it and/or modify it under
> the same terms as perl itself.
>
>
> This is a standard perl license and represented in Debian as,
> * License         : Artistic | GPL-1+
>
>
> Am I missing something, why is this not sufficient?
We have license information, sure. But as mentioned in the linked bug
report, we're missing a copyright statement along with years of
copyright, which is why this module is waiting on the upstream.

Note the first line of the bug: "While packaging your module, for
Debian, I noticed that it doesn't seem to mention copyright
information (in particular, it's missing the applicable years of
copyright)."
>
> Thanks,
> David
>
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jonathan Yu <jawnsy@cpan.org>:
Bug#548618; Package wnpp. (Tue, 29 Sep 2009 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to david wright <david_v_wright@yahoo.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jonathan Yu <jawnsy@cpan.org>. (Tue, 29 Sep 2009 16:54:06 GMT) Full text and rfc822 format available.

Message #30 received at 548618@bugs.debian.org (full text, mbox):

From: david wright <david_v_wright@yahoo.com>
To: 548618@bugs.debian.org
Cc: Jonathan Yu <jawnsy@cpan.org>
Subject: Re: Bug#548618: ITP: libdeclare-constraints-simple-perl -- Perl module to validate data structures
Date: Tue, 29 Sep 2009 09:42:26 -0700 (PDT)



>----- Original Message ----
>From: Jonathan Yu <jawnsy@cpan.org>
>To: david wright <david_v_wright@yahoo.com>; 548618@bugs.debian.org
>Sent: Tue, September 29, 2009 6:24:52 AM
>Subject: Re: Bug#548618: ITP: libdeclare-constraints-simple-perl -- Perl module to validate data 
>
>On Tue, Sep 29, 2009 at 3:43 AM, david wright <david_v_wright@yahoo.com> wrote:
>> I am confused by the RT bug filed against this ITP.
>>
>>>WAITS for copyright clarification from upstream.
>>>https://rt.cpan.org/Ticket/Display.html?id=50049
>>>* Initial Release (Closes: #548618)
>>
>> At the bottom of the module it states:
>> http://search.cpan.org/~phaylon/Declare-Constraints-Simple-0.03/lib/Declare/Constraints/Simple.
>>
>>
>> LICENSE AND COPYRIGHT ^
>>
>> This module is free software, you can redistribute it and/or modify it under
>> the same terms as perl itself.
>>
>>
>> This is a standard perl license and represented in Debian as, 
>> * License         : Artistic | GPL-1+
>>
>>
>> Am I missing something, why is this not sufficient?
>We have license information, sure. But as mentioned in the linked bug 
>report, we're missing a copyright statement along with years of
>copyright, which is why this module is waiting on the upstream.
>
>Note the first line of the bug: "While packaging your module, for 
>Debian, I noticed that it doesn't seem to mention copyright
>information (in particular, it's missing the applicable years of
>copyright)."
>>

yes, I see now (sometimes, I should wait till morning to post ;)

thanks for the clarification.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan Yu <jawnsy@cpan.org>:
Bug#548618; Package wnpp. (Sat, 19 Feb 2011 17:14:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan Yu <jawnsy@cpan.org>. (Sat, 19 Feb 2011 17:14:27 GMT) Full text and rfc822 format available.

Message #35 received at 548618@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 548618@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libdeclare-constraints-simple-perl: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:13 +0000
retitle 548618 RFP: libdeclare-constraints-simple-perl -- Perl module to validate  data structures
noowner 548618
thanks

Hi,

This is an automatic email to change the status of libdeclare-constraints-simple-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libdeclare-constraints-simple-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 548618 ITP: libdeclare-constraints-simple-perl -- Perl module to validate  data structures
 owner 548618 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <548618@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libdeclare-constraints-simple-perl -- Perl module to validate data structures' from 'ITP: libdeclare-constraints-simple-perl -- Perl module to validate data structures' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:16:20 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jonathan Yu <jawnsy@cpan.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:16:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: libdeclare-constraints-simple-perl -- Perl module to validate data structures' from 'RFP: libdeclare-constraints-simple-perl -- Perl module to validate data structures' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:44:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.